<%@ Page Language="C#" %>
<%@ Register TagPrefix="csrg" Namespace="Coalesys.Region" Assembly="Coalesys.Region" %>
<html>
	<head>
		<title>United States</title>
		<script runat="server">
		void Region1_ServerClick(Object sender, ServerClickEventArgs e)
		{
			TextBox1.Text = e.Item;
		}
		void DropDownList1_SelectedIndexChanged(Object sender, EventArgs e)
		{
			Region1.ImageUrl = "./images/UnitedStates" + DropDownList1.Items[DropDownList1.SelectedIndex].Value + ".gif";
		}
		</script>
	</head>
	<body bgcolor="#ffffff" leftmargin="0" topmargin="0" rightmargin="0">
		<table bgcolor="#000080" style="color:white" cellpadding="5">
			<tr>
				<td width="100%"><b>United States - PostBack Demo [C#]</b></td>
				<td><img src="./images/Coalesys.gif"></td>
			</tr>
		</table>
		<form runat="server">
			&nbsp;&nbsp;&nbsp;
			<csrg:Region id="Region1" ImageUrl="./images/UnitedStates.gif" OnServerClick="Region1_ServerClick" runat="server"></csrg:Region>
			<br><br>
			<table>
				<tr>
					<td width="10"></td>
					<td width="100%">
						Choose a custom color for the map:<br><br>
						<asp:DropDownList id="DropDownList1" AutoPostBack="True" OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged" runat="server">
							<asp:ListItem Value="">Default</asp:ListItem>
							<asp:ListItem Value="_Transparent">Transparent</asp:ListItem>
							<asp:ListItem Value="_Blue">Blue</asp:ListItem>
							<asp:ListItem Value="_Brown">Brown</asp:ListItem>
							<asp:ListItem Value="_DarkGray">DarkGray</asp:ListItem>
							<asp:ListItem Value="_LightGray">LightGray</asp:ListItem>
							<asp:ListItem Value="_MintGreen">MintGreen</asp:ListItem>
							<asp:ListItem Value="_MutedYellow">MutedYellow</asp:ListItem>
							<asp:ListItem Value="_Orange">Orange</asp:ListItem>
							<asp:ListItem Value="_Red">Red</asp:ListItem>
							<asp:ListItem Value="_White">White</asp:ListItem>
							<asp:ListItem Value="_Yellow">Yellow</asp:ListItem>
						</asp:DropDownList><br><br>
					</td>
				</tr>
				<tr>
					<td width="10"></td>
					<td width="100%">
						Click on the map to display the selected State below:<br><br>
						<asp:TextBox id="TextBox1" ReadOnly="True" runat="server"></asp:TextBox>
					</td>
				</tr>
			</table>
		</form>
	</body>
</html>
